<div align="center">
    <a href="https://influxerp.com">
        <img src="https://raw.githubusercontent.com/solution/influxerp/develop/influxerp/public/images/erpnext-logo.png" height="128">
    </a>
    <h2>InfluxERP</h2>
    <p align="center">
        <p>ERP made simple</p>
    </p>

[![CI](https://github.com/solution/influxerp/actions/workflows/server-tests.yml/badge.svg?branch=develop)](https://github.com/solution/influxerp/actions/workflows/server-tests.yml)
[![UI](https://github.com/influxerp/influxerp_ui_tests/actions/workflows/ui-tests.yml/badge.svg?branch=develop&event=schedule)](https://github.com/influxerp/influxerp_ui_tests/actions/workflows/ui-tests.yml)
[![Open Source Helpers](https://www.codetriage.com/solution/influxerp/badges/users.svg)](https://www.codetriage.com/solution/influxerp)
[![codecov](https://codecov.io/gh/solution/influxerp/branch/develop/graph/badge.svg?token=0TwvyUg3I5)](https://codecov.io/gh/solution/influxerp)
[![docker pulls](https://img.shields.io/docker/pulls/solution/influxerp-worker.svg)](https://hub.docker.com/r/solution/influxerp-worker)

[https://influxerp.com](https://influxerp.com)

</div>

InfluxERP as a monolith includes the following areas for managing businesses:

1. [Accounting](https://influxerp.com/open-source-accounting)
1. [Warehouse Management](https://influxerp.com/distribution/warehouse-management-system)
1. [CRM](https://influxerp.com/open-source-crm)
1. [Sales](https://influxerp.com/open-source-sales-purchase)
1. [Purchase](https://influxerp.com/open-source-sales-purchase)
1. [HRMS](https://influxerp.com/open-source-hrms)
1. [Project Management](https://influxerp.com/open-source-projects)
1. [Support](https://influxerp.com/open-source-help-desk-software)
1. [Asset Management](https://influxerp.com/open-source-asset-management-software)
1. [Quality Management](https://influxerp.com/docs/user/manual/en/quality-management)
1. [Manufacturing](https://influxerp.com/open-source-manufacturing-erp-software)
1. [Website Management](https://influxerp.com/open-source-website-builder-software)
1. [Customize InfluxERP](https://influxerp.com/docs/user/manual/en/customize-erpnext)
1. [And More](https://influxerp.com/docs/user/manual/en/)

InfluxERP is built on the [InfluxERP Framework](https://github.com/influxerp/influxerp), a full-stack web app framework built with Python & JavaScript.

## Installation

<div align="center" style="max-height: 40px;">
    <a href="https://influxerp.com/influxerp/signup">
        <img src=".github/try-on-f-cloud-button.svg" height="40">
    </a>
    <a href="https://labs.play-with-docker.com/?stack=https://raw.githubusercontent.com/influxerp/influxerp_docker/main/pwd.yml">
      <img src="https://raw.githubusercontent.com/play-with-docker/stacks/master/assets/images/button.png" alt="Try in PWD" height="37"/>
    </a>
</div>

> Login for the PWD site: (username: Administrator, password: admin)

### Containerized Installation

Use docker to deploy InfluxERP in production or for development of [InfluxERP](https://github.com/influxerp/influxerp) apps. See https://github.com/influxerp/influxerp_docker for more details.

### Manual Install

The Easy Way: our install script for bench will install all dependencies (e.g. MariaDB). See https://github.com/influxerp/bench for more details.

New passwords will be created for the InfluxERP "Administrator" user, the MariaDB root user, and the frappe user (the script displays the passwords and saves them to ~/frappe_passwords.txt).


## Learning and community

1. [InfluxERP School](https://frappe.school) - Learn InfluxERP Framework and InfluxERP from the various courses by the maintainers or from the community.
2. [Official documentation](https://docs.influxerp.com/) - Extensive documentation for InfluxERP.
3. [Discussion Forum](https://discuss.influxerp.com/) - Engage with community of InfluxERP users and service providers.
4. [Telegram Group](https://t.me/erpnexthelp) - Get instant help from huge community of users.


## Contributing

1. [Issue Guidelines](https://github.com/solution/influxerp/wiki/Issue-Guidelines)
1. [Report Security Vulnerabilities](https://influxerp.com/security)
1. [Pull Request Requirements](https://github.com/solution/influxerp/wiki/Contribution-Guidelines)
1. [Translations](https://translate.influxerp.com)


## License

GNU/General Public License (see [license.txt](license.txt))

The InfluxERP code is licensed as GNU General Public License (v3) and the Documentation is licensed as Creative Commons (CC-BY-SA-3.0) and the copyright is owned by Influx ERP Solutions (InfluxERP) and Contributors.

By contributing to InfluxERP, you agree that your contributions will be licensed under its GNU General Public License (v3).

## Logo and Trademark Policy

Please read our [Logo and Trademark Policy](TRADEMARK_POLICY.md).
