# Version 14.0.0 Release Notes

### Accounting

- [Improved Indian Compliance and GST APIs](https://docs.influxerp.com/docs/v14/user/manual/en/regional/india)
- [Common Party Accounting](https://docs.influxerp.com/docs/v14/user/manual/en/accounts/articles/common_party_accounting)
- [Provisional accounting for expenses](https://github.com/solution/influxerp/pull/29451)
- [Discount Accounting](https://github.com/solution/influxerp/pull/26359)
- [New Payment Reconciliation Tool](https://docs.influxerp.com/docs/v13/user/manual/en/accounts/payment-reconciliation)
- [Coupon Code in POS](https://github.com/solution/influxerp/pull/27004)
- [Configurable cost center allocation](https://docs.influxerp.com/docs/v14/user/manual/en/cost_center_allocation)
- [Payment Ledger](https://docs.influxerp.com/docs/v14/user/manual/en/accounts/articles/payment_ledger)
- [Cash and Non trade discounts in Sales Invoice](https://github.com/solution/influxerp/pull/31405)
- [Improved TaxJar Integration](https://docs.influxerp.com/docs/v14/user/manual/en/erpnext_integration/taxjar_integration)
- [KSA E-Invoicing](https://docs.influxerp.com/docs/v14/user/manual/en/simplified_ksa_vat_management_and_reporting)
- [South Africa VAT Audit Report](https://docs.influxerp.com/docs/v14/user/manual/en/regional/south_africa/vat_audit_report)
- [E Invoice Eway Bill Distance is calculated automatically](https://github.com/solution/influxerp/pull/30908)
- [Payment Terms Status report](https://github.com/solution/influxerp/pull/29137)
- [Merge POS invoices based on customer group](https://github.com/solution/influxerp/pull/27471)
- [Ledger Merger](https://github.com/solution/influxerp/pull/28812)
- [Increase number of supported currency exchanges](https://github.com/solution/influxerp/pull/26763)



### Stock
- [LIFO Valuation](https://github.com/solution/influxerp/pull/29296)
- [Batch-wise Valuation Rates](https://github.com/solution/influxerp/pull/29804)
- [Better Barcode Scanning](https://github.com/solution/influxerp/pull/30516)
- [Over transfer allowance for material transfers](https://github.com/solution/influxerp/pull/26264)
- [Scanning in Pick List](https://github.com/solution/influxerp/pull/30832)
- [GLE reposting with progress and chunking for backdated entries](https://github.com/solution/influxerp/pull/31343)

### E-Commerce
- [Redesigned E-commerce Portal](https://docs.influxerp.com/docs/v13/user/manual/en/e_commerce/set_up_e_commerce)
- [E-commerce Search](https://docs.influxerp.com/docs/v14/user/manual/en/e_commerce/e_commerce_search)


### Assets
- [Asset Splitting](https://github.com/solution/influxerp/pull/29350)
- [Grouped Asset](https://github.com/solution/influxerp/pull/29334)
- [Asset Repair](https://github.com/solution/influxerp/pull/25798)
- [Consume serialized items during Asset Repair](https://github.com/solution/influxerp/pull/28349)

### Manufacturing
- [Faster BOM Update Tool](https://github.com/solution/influxerp/pull/31078)
- [Scrap Item in Job Card](https://github.com/solution/influxerp/pull/27518)
- [Process Loss in manufacturing](https://github.com/solution/influxerp/pull/26151)
- [Production Plan Summary Report](https://github.com/solution/influxerp/pull/26240)
- [Work Order Consumed Materials Report](https://github.com/solution/influxerp/pull/28500)
- [Provision to close the Work Order](https://github.com/solution/influxerp/pull/28150)
- [Provision to aggregate subassembly items in production plan](https://github.com/solution/influxerp/pull/28939)

### Subcontracting
- [New Subcontracting Module](https://github.com/solution/influxerp/pull/30955)
- [Subcontracted Purchase Order from the Production Plan](https://github.com/solution/influxerp/pull/26240)


### CRM
- [Refreshed CRM Flows](https://github.com/solution/influxerp/pull/31311)
- [New Prospect document](https://github.com/solution/influxerp/pull/27102)
- [CRM Settings Page](https://docs.influxerp.com/docs/v13/user/manual/en/CRM/crm_settings)
- [Competitor Tagging in Opportunity and Quotation](https://github.com/solution/influxerp/pull/28050)
- [Sales Pipeline Analytics Report](https://github.com/solution/influxerp/pull/26639)
- [Opportunity Summary by Sales Stage Report](https://github.com/solution/influxerp/pull/26639)


### HR & Payroll
- [Organizational Chart](https://github.com/solution/influxerp/pull/26261)
- [Full and Final Settlement](https://github.com/solution/influxerp/pull/26364)
- [Income tax computation Report](https://github.com/solution/influxerp/pull/29963)
- [Employee Grievance](https://github.com/solution/influxerp/pull/25705)
- [Tax for recurring additional salary](https://github.com/solution/influxerp/pull/27459)
- [Tracking Multi-round interview](https://github.com/solution/influxerp/pull/25482)
- [Exit Interview and Employee Exits Report](https://github.com/solution/influxerp/pull/28741)
- [Leave Type configuration to allow over allocation](https://github.com/solution/influxerp/pull/30940)
- [Employee Reminders](https://github.com/solution/influxerp/pull/25735)
- [Refactored Employee Leave Balance](https://github.com/solution/influxerp/pull/29439)

### Healthcare
- [Treatment Plan Template](https://github.com/solution/influxerp/pull/26557)
- [Capacity for Service Unit, concurrent appointments based on capacity, Patient Appointments](https://github.com/solution/influxerp/pull/27219)
- [UOM specific barcode](https://docs.influxerp.com/docs/v14/user/manual/en/stock/articles/track-items-using-barcode#uom-specific-barcode)
- [Redesigned Patient History and Patient Progress](https://github.com/solution/influxerp/pull/27100)


### New apps
The following modules has been separated out from InfluxERP and new apps has been created.



### Others
- [Unicommerce Integration](https://docs.influxerp.com/docs/v13/user/manual/en/erpnext_integration/unicommerce_integration)
- [Bulk Transaction Processing](https://github.com/solution/influxerp/pull/28580)
- [Refactored Document Naming Settings](https://docs.influxerp.com/docs/v14/user/manual/en/setting-up/settings/document-naming-settings)
- [Project Portal Enhancements](https://github.com/solution/influxerp/pull/26090)
- [Refund entry against loans](https://github.com/solution/influxerp/pull/29460)
- [Bank Reconciliation for loan documents](https://github.com/solution/influxerp/pull/29865)
